HDMToHighLevel
Keywords: uk.ac.ic.doc.automed.reps.HDMToHighLevel class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class HDMToHighLevel

    java.lang.Object
      uk.ac.ic.doc.automed.reps.HDMToHighLevel

    public class HDMToHighLevel

extends java.lang.Object

A class to do HDM to high level model transformations

Author:
  Andrew Charles Smith - acs203

Constructor Summary
`HDMToHighLevel(Schema s1)` Creates a new instance of XMLSchemaTransform

Method Summary
`Schema` | `hdmToRelational()` Transform the HDM elements in this schema into relational elements
`Schema` | `hdmToXMLSchema()` Transform the HDM elements in this schema into XMLSchema elements
`void` | `setSchema(Schema s)` Set the schema to transform

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDMToHighLevel

    public HDMToHighLevel(Schema s1)
                   throws NotFoundException

  Creates a new instance of XMLSchemaTransform

  Parameters:
    `s1` - The schema to transform
  Throws:
    `NotFoundException` - Throws an exception if constrcuts are not found

Method Detail

### setSchema

    public void setSchema(Schema s)

  Set the schema to transform

  Parameters:
    `s` - The schema to transform

### hdmToRelational

    public Schema hdmToRelational()
                           throws AutoMedException

  Transform the HDM elements in this schema into relational elements

  Returns:
    Returns the relational schema
  Throws:
    `AutoMedException` - General AutoMedException

### hdmToXMLSchema

    public Schema hdmToXMLSchema()
                          throws AutoMedException

  Transform the HDM elements in this schema into XMLSchema elements

  Returns:
    The XML Schema oriented schema
  Throws:
    `AutoMedException` - General AutoMed exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD